MakeMCEuropeanEngine< RNG, S > Class Template Reference

Monte Carlo European engine factory. More...

`#include <ql/pricingengines/vanilla/mceuropeanengine.hpp>`

## Public Member Functions

| MakeMCEuropeanEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &)
MakeMCEuropeanEngine & | withSteps (Size steps)
MakeMCEuropeanEngine & | withStepsPerYear (Size steps)
MakeMCEuropeanEngine & | withBrownianBridge (bool b=true)
MakeMCEuropeanEngine & | withSamples (Size samples)
MakeMCEuropeanEngine & | withAbsoluteTolerance (Real tolerance)
MakeMCEuropeanEngine & | withMaxSamples (Size samples)
MakeMCEuropeanEngine & | withSeed (BigNatural seed)
MakeMCEuropeanEngine & | withAntitheticVariate (bool b=true)
| operator boost::shared_ptr< PricingEngine > () const

## Detailed Description

### template<class RNG = PseudoRandom, class S = Statistics>
class QuantLib::MakeMCEuropeanEngine< RNG, S >

Monte Carlo European engine factory.

Examples:
  EquityOption.cpp.